
/***************************************************************************
 *                                                                         *
 *   KNetLoad is copyright (c) 1999-2000, Markus Gustavsson                *
 *                         (c) 2002, Ben Burton                            *
 *                         (c) 2004, Diego Pettenò                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "knetload.h"
#include "../version.h"

#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A small network load meter for Kicker (the KDE panel).");
static const char message[] =
    I18N_NOOP("KNetLoad was first released on the 8th of August, 1999.");
static const char version[] = VERSION;

int main(int argc, char **argv) {
	KAboutData aboutData("knetload", I18N_NOOP("KNetLoad"), version,
		description, KAboutData::License_GPL,
		"(c) 1999-2000, Markus Gustavsson\n"
		"(c) 2002, Ben Burton\n"
		"(c) 2004, Diego Pettenò",
		message, "http://flameeyes.web.ctonet.it/");

	aboutData.addAuthor("Markus Gustavsson", I18N_NOOP("Original author"), "mighty@fragzone.se");
	aboutData.addAuthor("Ben Burton", I18N_NOOP("KDE3 rewrite"), "bab@debian.org");
	aboutData.addAuthor("Diego Pettenò", I18N_NOOP("2.x+ Versions, current maintainer"), "flameeyes@users.berlios.de");
	aboutData.addAuthor("Roland Riegel", I18N_NOOP("BSD and Solaris support"), "feedback@roland-riegel.de");
	aboutData.addAuthor("Bill Wilson", I18N_NOOP("BSD and Solaris support"), "bill@gkrellm.net");
	aboutData.addAuthor("Hajimu Umemoto", I18N_NOOP("BSD support"), "ume@mahoroba.org");
	aboutData.addAuthor("Anthony Mallet", I18N_NOOP("BSD support"), "anthony.mallet@useless-ficus.net");
	aboutData.addAuthor("Daisuke Yabuki", I18N_NOOP("Solaris support"), "dxy@acm.org");

	aboutData.addCredit("Njaard, Charles Samuels", I18N_NOOP("Support and help with KDE"), "charles@kde.org");
	aboutData.addCredit("rikkus, Rik Hemsley", I18N_NOOP("Support and help with KDE"), "rik@kde.org");
	aboutData.addCredit("Mark Halpaap", I18N_NOOP("Independent port to KDE3"), "mark.halpaap@gmx.net");
	aboutData.addCredit(I18N_NOOP("Thanks to everyone in #KDE OpenProjects for being supportive and helpful!"));

	KCmdLineArgs::init(argc, argv, &aboutData);
	KNetLoad::addCmdLineOptions();

	KNetLoad *app = new KNetLoad();
	return app->exec();
}
