/***************************************************************************
 *                                                                         *
 *   KCPULoad and KNetLoad are copyright (c) 1999-2000, Markus Gustavsson  *
 *                                       (c) 2002, Ben Burton              *
 *                                       (c) 2004, Diego Pettenò           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "statlabel.h"
#include "statgraph.h"

StatLabel::StatLabel(QWidget *parent, const char *name)
 : QLabel(parent, name), m_graph(new StatGraph(this))
{
}

StatLabel::~StatLabel()
{
	delete m_graph;
}

void StatLabel::resizeEvent(QResizeEvent *e)
{
	QLabel::resizeEvent(e);
	m_graph->reparent(this);
}

void StatLabel::paintEvent(QPaintEvent *e)
{
	QLabel::paintEvent(e);
	m_graph->redraw();
}

void StatLabel::mousePressEvent(QMouseEvent *e)
{
	QLabel::mousePressEvent(e);
	m_pressed = true;
}

void StatLabel::mouseReleaseEvent(QMouseEvent *e)
{
	QLabel::mouseReleaseEvent(e);
	if ( m_pressed )
	{
		emit clicked();
	}
	m_pressed = false;
}

#include "statlabel.moc"
