/***************************************************************************
 *                                                                         *
 *   KCPULoad and KNetLoad are copyright (c) 1999-2000, Markus Gustavsson  *
 *                                       (c) 2002, Ben Burton              *
 *                                       (c) 2004, Diego Pettenò           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef STATLABEL_H
#define STATLABEL_H

#include <qlabel.h>

class StatGraph;
class QResizeEvent;
class QPaintEvent;

/**
 * @author Diego 'Flameeyes' Petteno
 * @brief A label which takes care of managing a StatGraph object.
 *
 * This class is similar to StatTray, but, instead of using a system tray's
 * icon, it uses a standard label.
 * When the label is resized, the StatGraph::reparent() function is called
 * accordly.
 */
class StatLabel : public QLabel
{
Q_OBJECT
public:
	StatLabel(QWidget *parent = 0, const char *name = 0);
	~StatLabel();

	StatGraph *graph()
	{ return m_graph; }
protected:
	StatGraph *m_graph;
	bool m_pressed;
	virtual void resizeEvent(QResizeEvent*);
	virtual void paintEvent(QPaintEvent*);
	virtual void mousePressEvent(QMouseEvent *);
	virtual void mouseReleaseEvent(QMouseEvent *);
signals:
	void clicked();
};

#endif
